function y = BSIntegrandLewis(phi,S,K,r,q,v,T)

% Returns the integrands for the Lewis (2001)
% characteristic function approach for obtaining the call price

k = log(S/K) + (r-q)*T;

Integrand = exp(i*phi*k)*GaussianCF(phi-i/2,S,r,q,v,T);

y = real(Integrand) / (phi^2 + 1/4);

