function CF = GaussianCF(phi,S0,r,q,v,T);

% Gaussian characteristic function
% ---------------------------------
% Inputs
%   phi = integration argument
%   SO  = spot price
%   r   = risk free rate
%   v   = volatility
%   T   = maturity
% ---------------------------------
% Output
%   CF = value of the characteristic function

s2 = v^2*T;
w = -v^2/2;

CF = exp(i*phi*w*T - 0.5*s2*phi^2);

